Bug 470366 - Backport security fixes in uvcvideo driver
Backport security fixes in uvcvideo driver
Status: CLOSED DUPLICATE of bug 470427
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jay Fenlason
Martin Jenner
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 16:24 EST by Jay Fenlason
Modified: 2014-08-31 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 11:03:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2008-11-06 16:24:56 EST
Description of problem:
There are two commits in upstream svn (#220 CVE-2008-3496, and #258 (unknown CVE) that need to be backported to the 5.3 uvcvideo driver.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.create a malicious uvc camera
2.attach it to a 5.3 machine
3.attempt to use it
  
Actual results:
buffer overflows

Expected results:
normal operation

Additional info:
Comment 1 Jay Fenlason 2008-11-06 16:58:31 EST
#258 also requires part of #240.  Without #240 it is a stack-based buffer
overflow, for extra danger.
Comment 3 Jay Fenlason 2008-11-07 11:03:34 EST

*** This bug has been marked as a duplicate of bug 470427 ***

Note You need to log in before you can comment on or make changes to this bug.